#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: hashed-storage
version: 0.5.11
id: hashed-storage-0.5.11-956a2dace3acead126961a0041320ffa
key: hashe_8tk31iuF5C13yMtVMH4IZr
license: BSD3
copyright: 2009 Petr Rockai <me@mornfall.net>
maintainer: Petr Rockai <me@mornfall.net>
synopsis: Hashed file storage support code.
description:
    Support code for reading and manipulating hashed file storage
    (where each file and directory is associated with a
    cryptographic hash, for corruption-resistant storage and fast
    comparisons).
    .
    The supported storage formats include darcs hashed pristine, a
    plain filesystem tree and an indexed plain tree (where the index
    maintains hashes of the plain files and directories).
category: System
author: Petr Rockai <me@mornfall.net>
exposed: True
exposed-modules:
    Storage.Hashed Storage.Hashed.AnchoredPath Storage.Hashed.Index
    Storage.Hashed.Monad Storage.Hashed.Tree Storage.Hashed.Hash
    Storage.Hashed.Packed Storage.Hashed.Plain Storage.Hashed.Darcs
hidden-modules: Bundled.Posix Bundled.SHA256 Storage.Hashed.Utils
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/hashed-storage-0.5.11
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/hashed-storage-0.5.11
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/hashed-storage-0.5.11
hs-libraries: HShashed-storage-0.5.11-8tk31iuF5C13yMtVMH4IZr
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    binary-0.7.5.0-519c22fcbb5c4699f55ee9c7febd18eb
    bytestring-0.10.6.0-4bad3e0db8dcda038eec8bfd6aea32b3
    containers-0.5.6.2-fa9a4462de473ca3ca1d565cbe6dba33
    dataenc-0.14.0.7-29a66caad70f143b35fcaf00710ba1a6
    directory-1.2.2.0-b6ee7e969ff00a970631d14a5a84bc27
    extensible-exceptions-0.1.1.4-dae34b7345f33259ae772f45ee3cac62
    filepath-1.4.0.0-84bda675ba63f9b1a4b3fb9597f70f12
    mmap-0.5.9-dace422781d657fa29e8c3d2cab343e7
    mtl-2.2.1-6281cd9698784dbc328cef3b013b905d
    zlib-0.5.4.2-c78436f04a144c5349e560995b970aeb
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/hashed-storage-0.5.11/html/hashed-storage.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/hashed-storage-0.5.11/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
